package ch01.json;

import java.util.Collection;
import java.util.Set;
import java.util.TreeSet;

/**
 * TODO
 * 
 * @author Michael Inden
 * 
 * Copyright 2016 by Michael Inden 
 */
public class Person 
{
	private String firstName;
	private String lastName;
	private int age;

	private final Set<String> hobbies = new TreeSet<>();
	
	public Person()
	{    
	}

    public Person(final String firstName, final String lastName, 
                  final int age, final Collection<String> hobbies) 
    {
		this.firstName = firstName;
		this.lastName = lastName;
		this.age = age;
		this.hobbies.addAll(hobbies);
	}

    @Override
    public String toString()
    {
        return "Person [firstName=" + firstName + ", lastName=" + lastName + 
               ", age=" + age + ", hobbies=" + hobbies + "]";
    }
}
