package ch01.xml.jaxp.stax;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement(name = "Person")
// Ändern der Reihenfolge der Elemenete im XML-Dokument
@XmlType(propOrder = { "alter", "name", "vorname" })
public class Person {

	private String vorname;
	private String name;
	private int alter;

	// durch JAXB benötigt
	public Person()
	{	
	}
	
	public Person(final String vorname, final String name, final int alter) {
		this.vorname = vorname;
		this.name = name;
		this.alter = alter;
	}

	public int getAlter() {
		return alter;
	}

	public String getName() {
		return name;
	}

	public String getVorname() {
		return vorname;
	}

	public void setVorname(String surname) {
		this.vorname = surname;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setAlter(int alter) {
		this.alter = alter;
	}

	@Override
	public String toString() {
		return "Person [vorname=" + vorname + ", name=" + name + ", alter="
				+ alter + "]";
	}	
}
