/* SQL-Skript                        */
/* Java-Profi: Persistenzlsungen    */
/* (C) 2012-2016 Michael Inden       */
/* --------------------------------  */

/* Schritt 1: Personeneintraege erzeugen */
/* ------------------------------------ */
INSERT INTO Personen VALUES (1, 'Peter', 'Mller', '1991-05-28');
INSERT INTO Personen VALUES (2, 'Heinz', 'Mller', '1999-04-08');
INSERT INTO Personen VALUES (3, 'Michael', 'Inden', '1971-02-07');
INSERT INTO Personen VALUES (4, 'Michael', 'Mustermann', '1971-04-04');
INSERT INTO Personen VALUES (3140, 'Werner', 'Muster', '1940-01-31');
INSERT INTO Personen VALUES (4711, 'Marc', 'Muster', '1979-06-10');

-- Alternative Syntax + unvollstaendiger Datensatz
INSERT INTO Personen (Vorname, ID, Name) 
              VALUES ('Hans', 4712, 'Muster');
UPDATE Personen SET Geburtstag = '1994-06-12' WHERE Vorname = 'Hans' AND Name = 'Muster';


/* Schritt 2: Adresseneintraege erzeugen */
/* ------------------------------------- */
INSERT INTO Adressen VALUES (1, 'Plner Str.', '1', 23554, 'Lbeck', 1);
INSERT INTO Adressen VALUES (2, 'Buntentorsteinweg', '23', 28201, 'Bremen', 2);
INSERT INTO Adressen VALUES (3, 'Scharnhorststr.', '456', 24107, 'Kiel', 4711);
INSERT INTO Adressen VALUES (4, 'Breite Str.', '789', 22767, 'Hamburg', 3140);
-- Alternative Syntax
INSERT INTO Adressen(ID, Strasse, HausNr, PLZ, Stadt, PersonenID)
             VALUES (5, 'Oppenhofallee', '777', 52070, 'Aachen', 4712);


/* Schritt 3: Spalte 'Primschlssel' korrigieren */
/* ---------------------------------------------- */

ALTER TABLE Personen ALTER COLUMN ID IDENTITY;
ALTER TABLE Personen ALTER COLUMN ID RESTART WITH 10000;

ALTER TABLE Adressen ALTER COLUMN ID IDENTITY;
ALTER TABLE Adressen ALTER COLUMN ID RESTART WITH 10;