package ch03.jdbc.orm;

/**
 * Beispielklasse zur Modellierung einer Adresse
 * 
 * @author Michael Inden
 * 
 * Copyright 2012, 2016 by Michael Inden 
 */
public class Address
{
    private final String street;
    private final String number;
    private final int    zipcode;
    private final String city;

    public Address(final String street, final String number, 
                   final int zipcode, final String city)
    {
        this.street = street;
        this.number = number;
        this.zipcode = zipcode;
        this.city = city;
    }

    @Override
    public String toString()
    {
        return "Address [street=" + street + ", number=" + number + ", zipcode=" + zipcode + ", city=" + city + "]";
    }
}
