package ch05.mongo;

/**
 * Beispielklasse zur Modellierung einer Person mit MongoDB
 * 
 * @author Michael Inden
 * 
 * Copyright 2016 by Michael Inden
 */
public class Person
{
    private String firstname;
    private int age;
    private String bornIn;
    private String livesIn;
    
    public Person() {}

    public Person(final String firstname, final int age, 
    		      final String bornIn, final String livesIn) 
    {
        this.firstname = firstname;
        this.age = age;
        this.bornIn = bornIn;
        this.livesIn = livesIn;
    }

	@Override
	public String toString() 
	{
		return "Person [firstname=" + firstname + ", age=" + age + 
				", bornIn=" + bornIn + ", livesIn=" + livesIn + "]";
	}
}