package ch05.mongo.orm.spring.step2;

/**
 * Beispielklasse zur Modellierung von Adressen mit Spring Data MongoDB
 * 
 * @author Michael Inden
 * 
 * Copyright 2016 by Michael Inden
 */
public class Address 
{
	private State state;
	private int zipCode;
	private String city;

	public Address() {}

	public Address(final State state, final int zipCode, final String city) 
	{
		this.state = state;
		this.zipCode = zipCode;
		this.city = city;
	}

	@Override
	public String toString() 
	{
		return "Address [state=" + state + ", zip=" + zipCode + ", city=" + city + "]";
	}
}