package ch01.xml.jaxb.stax;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Beispiel zur Verarbeitung mit XML
 * 
 * @author Michael Inden
 * 
 * Copyright 2016 by Michael Inden 
 */
@XmlRootElement(name = "Personen")
@XmlAccessorType (XmlAccessType.FIELD)
public class Personen
{
    @XmlElement(name = "Person")
    private List<Person> persons;
 
    public List<Person> getPersons() {
        return persons;
    }
 
    public void setPersons(List<Person> persons) {
        this.persons = persons;
    }
}