package ch03.jdbc.orm;

/**
 * Beispielklassen, die Konstanten zum lesbareren Zugriff auf Spalten definieren.
 * 
 * @author Michael Inden
 * 
 * Copyright 2012 by Michael Inden 
 */
public final class ColumnIndices
{   
    public static class PersonenColumns
    {
        public static int COLUMN_IDX_ID        = 1;
        public static int COLUMN_IDX_FIRSTNAME = 2;
        public static int COLUMN_IDX_NAME      = 3;
        public static int COLUMN_IDX_BIRTHDAY  = 4;
    }
  
    public static class AdressenColumns
    {
        public static int COLUMN_IDX_ID      = 1;
        public static int COLUMN_IDX_STREET  = 2;
        public static int COLUMN_IDX_NUMBER  = 3;
        public static int COLUMN_IDX_ZIPCODE = 4;
        public static int COLUMN_IDX_CITY    = 5;
    }
}