package ch05.mongo;

import java.util.List;
import java.util.Set;

import com.mongodb.DB;
import com.mongodb.MongoClient;

/**
 * Beispielklasse zum Ansprechen von MongoDB mit dem alten Treiber
 * 
 * @author Michael Inden
 * 
 * Copyright 2016 by Michael Inden
 */
public class MongoExampleOldDriver
{
    public static void main(final String[] args)
    {
        try (final MongoClient mongo = new MongoClient("localhost", 27017))
        {
            // deprecated
            final List<String> dbNames = mongo.getDatabaseNames();
            System.out.println("Database Names: " + dbNames);

            // deprecated
            final DB db = mongo.getDB("mongoexample");
            final Set<String> collections = db.getCollectionNames();
            System.out.println("Collections in db 'mongoexample': " + collections);
        }
    }
}