package ch07.exampleapp.highscores.iteration0;

import static ch07.exampleapp.highscores.iteration0.HighscoresCsvImporter.*;

import java.util.List;

/**
 * Beispielklasse zur Demonstration des Einlesens von Highscores-Daten
 * 
 * @author Michael Inden
 * 
 * Copyright 2016 by Michael Inden 
 */
public class ReadHighscoresFromCsvExample 
{
	public static final void main(final String[] args) 
	{
		final String filePath = "resources/Highscores.csv";

		final List<Highscore> highscores = readHighscoresFromCsv(filePath);

		highscores.forEach(System.out::println);
	}
}