package ch07.exampleapp.highscores.iteration3;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Diese Klasse modelliert eine Liste von Highscore-Einträgen
 * 
 * @author Michael Inden
 * 
 * Copyright 2016 by Michael Inden
 */
@XmlRootElement (name="Highscores")
@XmlAccessorType (XmlAccessType.FIELD)
public class HighscoreList
{
    @XmlElement(name = "Highscore")
    private List<Highscore> highscores;
 
    public List<Highscore> getHighscores() 
    {
        return highscores;
    }
 
    public void setHighscores(List<Highscore> highscores) 
    {
        this.highscores = highscores;
    }
}